HOW-CAN-I-HELP(1)

NAME
how-can-i-help - show opportunities for contributing to Debian

SYNOPSIS

how-can-i-help [-ahoq] [--help] [--all] [--old] [--quiet]

DESCRIPTION

how-can-i-help hooks into APT to list opportunities for contributions to Debian (orphaned packages, bugs tagged gift) for packages installed locally, after each APT invocation. It can also be invoked directly, and then lists all opportunities for contribution (not just the new ones).

OPTIONS

Options must come before the other command line arguments.

-h, --help
    Show some help.

-a, --all
    Show opportunities for contribution to all packages.

-o, --old
    Show old (already seen) opportunities for contribution as well as new ones.

-q, --quiet
    Do not display header and footer.

PROXY SUPPORT

how-can-i-help uses the HTTP_PROXY (or http_proxy) environment variable as HTTP proxy configuration.

RUNNING ON REGULAR BASIS

You can run how-can-i-help in a cron job as a normal user so that you receive a mail when new things are reported. To receive only mails when new contributions are reported, use the -q flag.

Crontab example:

    0 8 * * * how-can-i-help -q

IGNORE SELECTED TYPES OF OPPORTUNITIES

how-can-i-help can also ignore selected types of opportunities. These are listed in ~/.config/how-can-i-help/ignored separated by whitespaces or newlines.

Allowed types:
    wnpp, gift, no-testing, testing-autorm, rfs

Allowed WNPP types:
    O, RFA, RFH, ITA

ADDITIONAL PACKAGES

how-can-i-help can also monitor packages not installed locally. These are listed in ~/.config/how-can-i-help/packages separated by whitespaces or newlines.

For example one can monitor all package from a server as follow:

    # ssh myserver dpkg -l | tail -n+5 | awk '{ print $2 }' \
        >> ~/.config/how-can-i-help/packages

SEE ALSO

https://wiki.debian.org/how-can-i-help

AUTHOR

Lucas Nussbaum (lucas@debian.org)

DATE

2013-10-30